0
$\begingroup$

Does anyone has the same issues with CMAKE could not find "gz-cmake3" during colcon build ros_gz_template_project?

I have try to search for answer (https://github.com/gazebosim/ros_gz_project_template/issues/11) by changing the find-package name but still error.

Environment

  • OS Version: Ubuntu 22.04
  • Gazebo Version: Fortress
  • Device: NVIDIA Jetson Orin Nano DevKit (Jetpack 6.0)

Step to Produce

  1. Clone the repo (https://github.com/gazebosim/ros_gz_project_template)
  2. Run colcon build

Output

Output Terminal

Thanks.

$\endgroup$
3
  • $\begingroup$ Welcome to Robotics Stack Exchange! You need to install gz-cmake3. Does sudo apt install libgz-cmake3-dev help? $\endgroup$
    – ravi
    Jan 5 at 8:35
  • $\begingroup$ unfortunately there is no libgz-cmake3-dev yet, the latest is libgz-cmake2-dev after doing sudo apt update $\endgroup$ Jan 5 at 9:45
  • $\begingroup$ You can install it from source: github.com/gazebosim/… $\endgroup$
    – ravi
    Jan 5 at 10:01

1 Answer 1

0
$\begingroup$

Use

find_package(ignition-cmake2 REQUIRED)

The library name use ignition and not ign or gz. I raised the error in the issue page, the yaml is wrong about the version name.

But do notice, on the branch of 'fortress' the CMakeLists and all plugin calls are updated correctly

$\endgroup$
2
  • 1
    $\begingroup$ Could you edit your answer and add the link to the issue? $\endgroup$ Jan 6 at 16:11
  • $\begingroup$ Hi @Eyal, thanks for the feedback. I believe it is correct, I have changed related name to ignition and the error gradually disappear but as it reached the end part (BasicSystem.hh and FullSystem.hh), another error arise. Did you have the same issue? $\endgroup$ Jan 8 at 4:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.